Mhash Functions
mhash_get_block_size
Mhash Functions
PHP Manual

# mhash_count

(PHP 4, PHP 5)

mhash_count — Get the highest available hash id

### Description

int mhash_count ( void )

Gets the highest available hash id.

### Return Values

Returns the highest available hash id. Hashes are numbered from 0 to this hash id.

### Examples

Example #1 Traversing all hashes

`<?php
$nr = mhash_count();
for ($i = 0; $i <= $nr; $i++) {
echo sprintf("The blocksize of %s is %d\n",
mhash_get_hash_name($i),
mhash_get_block_size($i));
}
?>`

Mhash Functions
mhash_get_block_size
Mhash Functions
PHP Manual